#ifndef PROGRESSNOTIFYJOB_H
#define PROGRESSNOTIFYJOB_H

#include <kjob.h>
//#include <kio/job.h>

class ProgressNotifyJob : public KJob
{
    Q_OBJECT
public:
    ProgressNotifyJob(const QString & title, const QPair< QString, QString > & field1 = qMakePair(QString(), QString()), const QPair< QString, QString > &field2 = qMakePair(QString(), QString()));
    void start();
 public slots:
    void error(QString text);
    void success(QString text);
    void updatePercent(int value);
    void doWork();
};

#endif // PROGRESSNOTIFYJOB_H
