//! \file base64.h Описание функций работы с base64
#include <string>

std::string base64_encode(char const* , unsigned int len);
//!Кодирование из std::string
/**
 * \param s исходная строка
 * \return кодированная строка
 */
inline std::string base64_encode(std::string const s) { return base64_encode(s.c_str(), s.length());};
std::string base64_decode(std::string const& s);
