//! \file main.cpp Реализация главной функции приложения
#include <QByteArray>
#include <kcmdlineargs.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <klocale.h>
#include "psyncnotify.h"

//! Класс, описывающий сохранение текущей сессии приложения
class PSNApp:	public KApplication
{
    public:
    void saveState(QSessionManager & m)
    {
	m.setRestartHint(QSessionManager::RestartNever);
    }
};

//! Главная функция приложения
int main(int argc, char *argv[])
{       
    //KCmdLineArgs::init(argc, argv, QByteArray("psyncnotify"), QByteArray(), KLocalizedString(), QByteArray("1.0") );
    //PSNApp app;
    //app.setQuitOnLastWindowClosed(false);
    KAboutData aboutData( "psyncnotify", 0, ki18n( "MandrivaSync" ),"1.0");
    KCmdLineArgs::init(argc, argv, &aboutData);

    PSNApp app;
    app.setQuitOnLastWindowClosed(false);

    PSyncNotify w(&app);

    return app.exec();
}
