//! \file config.h Описание класса работы с конфигурацией
#include <map>
#include <string>
using namespace std;
//! Класс работы с конфигурацией
class config
{
	map<string,string> cMap;	//!< Ассоциативный список загруженных параметров
	string path;			//!< Путь к конфигу
public:
	config();
	config(string p);
	~config();
	int reload();
	string operator[] (string property);
	int writeProperty(string property, string value);
	
};
